package com.example.demo.directions.repository;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.CrudRepository;

import com.example.demo.directions.model.DirectionsEntity;

public interface DirectionsRepository extends CrudRepository<DirectionsEntity, Long> {
    Optional<DirectionsEntity> findByNameIgnoreCase(String name);

    List<DirectionsEntity> findByDepartmentId(long departmentId);

    Page<DirectionsEntity> findByDepartmentId(long departmentId, Pageable pageable);

    Page<DirectionsEntity> findAll(Pageable pageable);
}
